## purple-rocketchat 0.1~git20190218.826990b48f41

=== debian/changelog ===
purple-rocketchat (0.1~git20190218.826990b48f41-1) unstable; urgency=low

  * Initial release.

 -- Dominik George <natureshadow@debian.org>  Mon, 20 May 2019 14:31:16 +0200
