=== debian/control ===
Source: purple-rocketchat
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Build-Depends:
 debhelper (>= 11),
 libpurple-dev, libjson-glib-dev, libglib2.0-dev, libmarkdown2-dev
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/xmpp-team/purple-rocketchat.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/purple-rocketchat
Homepage: https://bitbucket.org/EionRobb/purple-rocketchat/src/default/

Package: purple-rocketchat
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Rocket.Chat protocol plugin for libpurple
 This is a protocol plugin for libpurple that enables libpurple
 applications, like Pidgin or Spectrum 2, to connect to Rocket.Chat
 servers.
