## purple-rocketchat 0.1~hg20200403.800ef89

=== debian/changelog ===
purple-rocketchat (0.1~hg20200403.800ef89-1) unstable; urgency=medium

  * Team upload.
  * Update to latest upstream snapshot
  * Bump debhelper and Policy, no changes needed
  * Ensure the resulting plugin version is correct and CPPFLAGS are honoured
  * Add R³:no and UMEGAYA (prompted by lintian) and applicable hardening
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 25 Apr 2020 15:53:59 +0200
