=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders:
  Dominik George <natureshadow@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libpurple-dev, libjson-glib-dev, libglib2.0-dev, libmarkdown2-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xmpp-team/purple-rocketchat.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/purple-rocketchat
 Homepage: https://bitbucket.org/EionRobb/purple-rocketchat/src/default/
