=== debian/rules ===
#!/usr/bin/make -f

# no PIE as we build only a DLL here
DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
include /usr/share/dpkg/buildflags.mk

# in theory we should be able to get these from .hg_archival.txt
# but “hg id” shortens the node ID in an unspecified way, and the
# revision number is not documented either, so we use this:
#  hg clone https://bitbucket.org/EionRobb/purple-rocketchat/
# then verify the content is the same as in the origtgz and run:
#  printf 'revid=%s\nrevno=%s\n' "$(hg id -i)" "$(hg id -n)"
revid=800ef8998c10
revno=92

snapshot_date=$(shell dpkg-parsechangelog -SVersion | sed 's/^.*hg\([0-9]\{8\}\).*$$/\1/')

override_dh_auto_build:
	dh_auto_build -- \
	    REVISION_ID="${revid}" REVISION_NUMBER="${revno}" \
	    BUILD_DATE="${snapshot_date}"

%:
	dh $@
