## purple-rocketchat 0.1~+git20210202

=== debian/changelog ===
purple-rocketchat (0.1~+git20210202-1~ab~SID+1) sid-ab-unstable; urgency=medium

  [ mirabilos ]
  * [5d802b5] forward upstream

  [ Stephan Sürken ]
  * [b36db03] New upstream version 0.1~+git20210202
  * [c764226] patches/series: Disable fix-flags (does not apply any more).

 -- Stephan Sürken <absurd@olurdix.de>  Tue, 02 Feb 2021 17:37:18 +0100
