## purple-rocketchat 0.1~+git20220424

=== debian/changelog ===
purple-rocketchat (0.1~+git20220424-1~ab~SID+1) sid-ab-unstable; urgency=medium

  * [d7e4469] New upstream version 0.1~+git20220424

 -- Stephan Sürken <absurd@olurdix.de>  Sun, 24 Apr 2022 07:43:50 +0200
