=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # no PIE as we build only a DLL here
-DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS:=hardening=+all,-pie
 include /usr/share/dpkg/buildflags.mk
 
 # in theory we should be able to get these from .hg_archival.txt
